Bug 487865 - No synchronization with time server
No synchronization with time server
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
10
i686 Linux
low Severity medium
: ---
: ---
Assigned To: jmccann
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-02-28 08:13 EST by Boris
Modified: 2015-01-14 18:22 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:55:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Here are shown exactly options and time servers (47.75 KB, image/png)
2009-02-28 08:13 EST, Boris
no flags Details

  None (edit)
Description Boris 2009-02-28 08:13:04 EST
Created attachment 333601 [details]
Here are shown exactly options and time servers

Description of problem:
When I try to synchronize whth timeserver I get an error message
"SELinux is preventing gdm-session-wor (xdm_t) "write" to ./.xsession-errors
(user_home_dir_t)."
Version-Release number of selected component (if applicable):
gdm-2.24.1-4.fc10

How reproducible:
It hapens when I am trying to synchronize with time sever

Steps to Reproduce:
1.I'm logged us non-root-user
2.I enter to menu: System->Administration->Date&Time to open dialog box
3.I get Dialog box, titled "Query", to enter root password. I enter it
4.Appears Dialog Box "Date/Time Properties"
5.I select "Network Time Protocol" 
6.I mark flag "Enable Network Time Protocol"
7.I click "Ok" Button
8.Appears Window "Contacting NTP Server Please wait"
  
Actual results:
 I get a yellow star on Notification Area and no synchronization hapens.
Also while booting the computer up the system the synchronization with time server fails.

Expected results:
 No notification would apear and synchronization would happen.
Also the synchronization with time server would pass while booting up the system.

Additional info:

The NTP Servers are:
0.fedora.pool.ntp.org
1.fedora.pool.ntp.org
2.fedora.pool.ntp.org 
pool.ntp.org

The flags which are in this tab and their state: 
Enable Network Time Protocol [Enabled]
Synchronize system clock before starting service [Enabled]
Use Local Time Source  [Enabled]

The message, which I get in notification is: 



Summary:

SELinux is preventing gdm-session-wor (xdm_t) "write" to ./.xsession-errors
(user_home_dir_t).

Detailed Description:

SELinux denied access requested by gdm-session-wor. It is not expected that this
access is required by gdm-session-wor and this access may signal an intrusion
attempt. It is also possible that the specific version or configuration of the
application is causing it to require additional access.

Allowing Access:

Sometimes labeling problems can cause SELinux denials. You could try to restore
the default system file context for ./.xsession-errors,

restorecon -v './.xsession-errors'

If this does not work, there is currently no automatic way to allow this access.
Instead, you can generate a local policy module to allow this access - see FAQ
(http://fedora.redhat.com/docs/selinux-faq-fc5/#id2961385) Or you can disable
SELinux protection altogether. Disabling SELinux protection is not recommended.
Please file a bug report (http://bugzilla.redhat.com/bugzilla/enter_bug.cgi)
against this package.

Additional Information:

Source Context                system_u:system_r:xdm_t:s0-s0:c0.c1023
Target Context                system_u:object_r:user_home_dir_t:s0
Target Objects                ./.xsession-errors [ file ]
Source                        gdm-session-wor
Source Path                   /usr/libexec/gdm-session-worker
Port                          <Unknown>
Host                          Boris
Source RPM Packages           gdm-2.24.1-4.fc10
Target RPM Packages           
Policy RPM                    selinux-policy-3.5.13-45.fc10
Selinux Enabled               True
Policy Type                   targeted
MLS Enabled                   True
Enforcing Mode                Enforcing
Plugin Name                   catchall_file
Host Name                     Boris
Platform                      Linux Boris 2.6.27.15-170.2.24.fc10.i686 #1 SMP
                              Wed Feb 11 23:58:12 EST 2009 i686 i686
Alert Count                   125
First Seen                    Mon 01 Dec 2008 10:57:16 AM IST
Last Seen                     Sat 28 Feb 2009 03:37:26 PM IST
Local ID                      a65d580b-45f7-43b8-86ff-34dcb4a6fac4
Line Numbers                  

Raw Audit Messages            

node=Boris type=AVC msg=audit(1235828246.30:14): avc:  denied  { write } for  pid=2944 comm="gdm-session-wor" name=".xsession-errors" dev=dm-0 ino=180238 scontext=system_u:system_r:xdm_t:s0-s0:c0.c1023 tcontext=system_u:object_r:user_home_dir_t:s0 tclass=file

node=Boris type=SYSCALL msg=audit(1235828246.30:14): arch=40000003 syscall=33 success=no exit=-13 a0=9e08ff0 a1=6 a2=d9425c a3=3799bc items=0 ppid=2888 pid=2944 auid=500 uid=500 gid=500 euid=500 suid=500 fsuid=500 egid=500 sgid=500 fsgid=500 tty=(none) ses=1 comm="gdm-session-wor" exe="/usr/libexec/gdm-session-worker" subj=system_u:system_r:xdm_t:s0-s0:c0.c1023 key=(null)
Comment 1 Bug Zapper 2009-11-18 06:15:35 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 03:55:47 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.